Bug 1678241 - CVE-2019-8376 tcpreplay: null pointer dereference in function get_layer4_v6() in get.c [fedora-all]
Summary: CVE-2019-8376 tcpreplay: null pointer dereference in function get_layer4_v6()...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tcpreplay
Version: 29
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Bojan Smojver
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2019-8376
TreeView+ depends on / blocked
 
Reported: 2019-02-18 10:58 UTC by Dhananjay Arunesh
Modified: 2019-03-29 19:14 UTC (History)
1 user (show)

Fixed In Version: tcpreplay-4.3.2-1.fc28 tcpreplay-4.3.2-1.fc29 tcpreplay-4.3.2-1.el6 tcpreplay-4.3.2-1.el7 tcpreplay-4.3.2-1.fc30
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-23 02:24:41 UTC


Attachments (Terms of Use)

Description Dhananjay Arunesh 2019-02-18 10:58:23 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Dhananjay Arunesh 2019-02-18 10:58:25 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1678239,1678241

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2019-03-12 17:19:55 UTC
tcpreplay-4.3.1-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-3817296b2f

Comment 3 Fedora Update System 2019-03-12 17:20:05 UTC
tcpreplay-4.3.1-3.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-7d689dd314

Comment 4 Fedora Update System 2019-03-12 17:20:21 UTC
tcpreplay-4.3.1-3.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-d8d946a765

Comment 5 Fedora Update System 2019-03-12 17:20:32 UTC
tcpreplay-4.3.1-3.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e40253f67e

Comment 6 Fedora Update System 2019-03-12 17:20:47 UTC
tcpreplay-4.3.1-3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-a9c08d4b40

Comment 7 Fedora Update System 2019-03-12 22:42:54 UTC
tcpreplay-4.3.1-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-3817296b2f

Comment 8 Fedora Update System 2019-03-12 22:59:47 UTC
tcpreplay-4.3.1-3.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-a9c08d4b40

Comment 9 Fedora Update System 2019-03-12 23:02:04 UTC
tcpreplay-4.3.1-3.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-d8d946a765

Comment 10 Fedora Update System 2019-03-12 23:41:18 UTC
tcpreplay-4.3.1-3.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e40253f67e

Comment 11 Fedora Update System 2019-03-13 10:34:29 UTC
tcpreplay-4.3.2-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-3817296b2f

Comment 12 Fedora Update System 2019-03-13 10:36:16 UTC
tcpreplay-4.3.2-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-a9c08d4b40

Comment 13 Fedora Update System 2019-03-13 10:37:19 UTC
tcpreplay-4.3.2-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e40253f67e

Comment 14 Fedora Update System 2019-03-13 10:38:17 UTC
tcpreplay-4.3.2-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-d8d946a765

Comment 15 Fedora Update System 2019-03-13 15:36:31 UTC
tcpreplay-4.3.2-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-7d689dd314

Comment 16 Fedora Update System 2019-03-13 18:00:12 UTC
tcpreplay-4.3.2-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-3817296b2f

Comment 17 Fedora Update System 2019-03-13 19:08:28 UTC
tcpreplay-4.3.2-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-d8d946a765

Comment 18 Fedora Update System 2019-03-13 19:16:20 UTC
tcpreplay-4.3.2-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-a9c08d4b40

Comment 19 Fedora Update System 2019-03-14 18:51:17 UTC
tcpreplay-4.3.2-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e40253f67e

Comment 20 Fedora Update System 2019-03-23 02:24:41 UTC
tcpreplay-4.3.2-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2019-03-23 02:56:24 UTC
tcpreplay-4.3.2-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2019-03-29 02:11:01 UTC
tcpreplay-4.3.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2019-03-29 18:56:49 UTC
tcpreplay-4.3.2-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2019-03-29 19:14:13 UTC
tcpreplay-4.3.2-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.